> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apexscore.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Observations

> Retrieves information on all the report's filterables and the various calculations
done on their options that identify segments of interest.

The filterables returned are in a specific sort order:
1. has_presentable_calculations DESC (True->False)
2. is_noteworthy DESC (True->False)
3. largest_apex_delta DESC



## OpenAPI

````yaml api-reference/openapi.yaml get /api/v1/reports/{id}/observations/
openapi: 3.0.3
info:
  title: API v1 Public
  version: 1.4.2
  description: >+


    Apex API functions and available endpoints.


    To authenticate, use the `Token` value from the `auth/login` endpoint in the
    Authorize dialog.

  license:
    name: Proprietary to Emotive Technologies Inc.
servers:
  - url: https://api.main.apexscore.ai
security: []
paths:
  /api/v1/reports/{id}/observations/:
    get:
      tags:
        - Reports
      summary: Observations
      description: >-
        Retrieves information on all the report's filterables and the various
        calculations

        done on their options that identify segments of interest.


        The filterables returned are in a specific sort order:

        1. has_presentable_calculations DESC (True->False)

        2. is_noteworthy DESC (True->False)

        3. largest_apex_delta DESC
      operationId: reports_observations_retrieve
      parameters:
        - in: query
          name: configuration_id
          schema:
            type: string
            format: uuid
          description: >-
            Optional configuration id to retrieve. If not provided, the primary
            configuration will be used.
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this report.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObservationsReport'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    ObservationsReport:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          maxLength: 255
        dataset:
          allOf:
            - $ref: '#/components/schemas/ObservationsDataset'
          readOnly: true
      required:
        - dataset
        - id
        - name
    ObservationsDataset:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        configuration:
          allOf:
            - $ref: '#/components/schemas/ObservationsDatasetConfiguration'
          readOnly: true
      required:
        - configuration
        - id
    ObservationsDatasetConfiguration:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        is_primary:
          type: boolean
        name:
          type: string
          description: Choose a name for this set to refer to
          maxLength: 250
        result:
          $ref: '#/components/schemas/DatasetConfigurationResult'
        filterables:
          type: array
          items:
            $ref: '#/components/schemas/ObservationsDatasetFilterable'
          readOnly: true
      required:
        - filterables
        - id
        - result
    DatasetConfigurationResult:
      type: object
      properties:
        state:
          allOf:
            - $ref: '#/components/schemas/DatasetConfigurationResultStatus'
          readOnly: true
      required:
        - state
    ObservationsDatasetFilterable:
      type: object
      properties:
        name:
          type: string
          maxLength: 500
        content:
          type: string
          readOnly: true
        is_noteworthy:
          type: boolean
          description: >-
            Determines whether or not the apex calculations for all the options
            of this filterable

            are noteworthy, in that there is a difference of at least
            settings.MONA_MINIMUM_FILTERABLE_CALCULATION_NOTEWORTHY_DELTA

            between the MIN and MAX apex scores.
          readOnly: true
        has_presentable_calculations:
          type: boolean
        largest_apex_delta:
          type: number
          format: double
          maximum: 10000
          minimum: -10000
          exclusiveMaximum: true
          exclusiveMinimum: true
        options:
          type: array
          items:
            $ref: '#/components/schemas/ObservationsDatasetFilterableCalculation'
      required:
        - content
        - has_presentable_calculations
        - is_noteworthy
        - largest_apex_delta
        - options
    DatasetConfigurationResultStatus:
      type: object
      properties:
        status:
          allOf:
            - $ref: '#/components/schemas/DatasetConfigurationResultStatusStatusEnum'
          readOnly: true
        status_message:
          type: string
          readOnly: true
          nullable: true
        observations_data_pending:
          type: string
          readOnly: true
        text_analysis_data_pending:
          type: string
          readOnly: true
      required:
        - observations_data_pending
        - status
        - status_message
        - text_analysis_data_pending
    ObservationsDatasetFilterableCalculation:
      type: object
      properties:
        display:
          type: string
        value:
          type: string
        apex_score:
          type: number
          format: double
          maximum: 10000
          minimum: -10000
          exclusiveMaximum: true
          exclusiveMinimum: true
        sample_size:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        content:
          type: string
          readOnly: true
        option_display_order:
          type: integer
          maximum: 2147483647
          minimum: 1
          description: >-
            Override the order in which this filterable should be displayed in
            the UI.
      required:
        - apex_score
        - content
        - display
        - value
    DatasetConfigurationResultStatusStatusEnum:
      enum:
        - pending
        - awaiting_relaimpo
        - awaiting_review
        - complete
        - locked
        - failed
      type: string
      description: |-
        * `pending` - Pending
        * `awaiting_relaimpo` - Awaiting Relaimpo
        * `awaiting_review` - Awaiting Review
        * `complete` - Complete
        * `locked` - Locked
        * `failed` - Failed
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer

````